Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354121 - [abrt] gnome-software: gdk_event_set_source_device(): gnome-software killed by SIGSEGV
Summary: [abrt] gnome-software: gdk_event_set_source_device(): gnome-software killed b...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:579f4b6aa8ce839a3d004f03e81...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-09 18:50 UTC by Joachim Frieben
Modified: 2017-08-08 15:29 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:29:07 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-09 18:50 UTC, Joachim Frieben
no flags Details
File: cgroup (deleted)
2016-07-09 18:50 UTC, Joachim Frieben
no flags Details
File: core_backtrace (deleted)
2016-07-09 18:50 UTC, Joachim Frieben
no flags Details
File: dso_list (deleted)
2016-07-09 18:50 UTC, Joachim Frieben
no flags Details
File: environ (deleted)
2016-07-09 18:50 UTC, Joachim Frieben
no flags Details
File: exploitable (deleted)
2016-07-09 18:51 UTC, Joachim Frieben
no flags Details
File: limits (deleted)
2016-07-09 18:51 UTC, Joachim Frieben
no flags Details
File: maps (deleted)
2016-07-09 18:51 UTC, Joachim Frieben
no flags Details
File: mountinfo (deleted)
2016-07-09 18:51 UTC, Joachim Frieben
no flags Details
File: namespaces (deleted)
2016-07-09 18:51 UTC, Joachim Frieben
no flags Details
File: open_fds (deleted)
2016-07-09 18:51 UTC, Joachim Frieben
no flags Details
File: proc_pid_status (deleted)
2016-07-09 18:51 UTC, Joachim Frieben
no flags Details
File: var_log_messages (deleted)
2016-07-09 18:51 UTC, Joachim Frieben
no flags Details

Description Joachim Frieben 2016-07-09 18:50:47 UTC
Version-Release number of selected component:
gnome-software-3.20.3-1.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gdk_event_set_source_device
executable:     /usr/bin/gnome-software
global_pid:     18768
kernel:         4.6.3-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 gdk_event_set_source_device at gdkevents.c:1690
 #1 send_crossing_event at gdkwindow.c:7951
 #2 _gdk_synthesize_crossing_events at gdkwindow.c:8123
 #3 do_synthesize_crossing_event at gdkwindow.c:8618
 #8 g_main_context_iteration at gmain.c:3901
 #9 g_application_run at gapplication.c:2381

Comment 1 Joachim Frieben 2016-07-09 18:50:52 UTC
Created attachment 1177899 [details]
File: backtrace

Comment 2 Joachim Frieben 2016-07-09 18:50:53 UTC
Created attachment 1177900 [details]
File: cgroup

Comment 3 Joachim Frieben 2016-07-09 18:50:55 UTC
Created attachment 1177901 [details]
File: core_backtrace

Comment 4 Joachim Frieben 2016-07-09 18:50:57 UTC
Created attachment 1177902 [details]
File: dso_list

Comment 5 Joachim Frieben 2016-07-09 18:50:58 UTC
Created attachment 1177903 [details]
File: environ

Comment 6 Joachim Frieben 2016-07-09 18:51:00 UTC
Created attachment 1177904 [details]
File: exploitable

Comment 7 Joachim Frieben 2016-07-09 18:51:02 UTC
Created attachment 1177905 [details]
File: limits

Comment 8 Joachim Frieben 2016-07-09 18:51:04 UTC
Created attachment 1177906 [details]
File: maps

Comment 9 Joachim Frieben 2016-07-09 18:51:06 UTC
Created attachment 1177907 [details]
File: mountinfo

Comment 10 Joachim Frieben 2016-07-09 18:51:07 UTC
Created attachment 1177908 [details]
File: namespaces

Comment 11 Joachim Frieben 2016-07-09 18:51:09 UTC
Created attachment 1177909 [details]
File: open_fds

Comment 12 Joachim Frieben 2016-07-09 18:51:11 UTC
Created attachment 1177910 [details]
File: proc_pid_status

Comment 13 Joachim Frieben 2016-07-09 18:51:12 UTC
Created attachment 1177911 [details]
File: var_log_messages

Comment 14 alsoijw 2016-07-31 20:29:14 UTC
*** Bug 1361911 has been marked as a duplicate of this bug. ***

Comment 15 Jorge Martínez López 2016-08-13 09:00:49 UTC
Similar problem has been detected:

Just opened the application.

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gdk_event_set_source_device
executable:     /usr/bin/gnome-software
global_pid:     1747
kernel:         4.6.4-301.fc24.x86_64
package:        gnome-software-3.20.4-1.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         gnome-software killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Fedora End Of Life 2017-07-25 21:42:16 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2017-08-08 15:29:07 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.